Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.util.daemon
Class Sweeper

    java.lang.Object
      org.mortbay.util.daemon.Sweeper

All Implemented Interfaces:
  java.io.FilenameFilter, java.lang.Runnable

    public class Sweeper

extends java.lang.Object
implements java.lang.Runnable, java.io.FilenameFilter

Field Summary
`static long` | `DEFAULT_INTERVAL`
`static boolean` | `LOG_TO_CONSOLE`

Constructor Summary
`Sweeper()`
`Sweeper(long interval)`
`Sweeper(java.util.Timer timer, long interval)`

Method Summary
`boolean` | `accept(java.io.File file, java.lang.String name)`
`static boolean` | `delete(java.io.File file)`
`static void` | `main(java.lang.String[] args)`
`void` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_INTERVAL

    public static final long DEFAULT_INTERVAL

See Also:
  Constant Field Values

### LOG_TO_CONSOLE

    public static boolean LOG_TO_CONSOLE

Constructor Detail

### Sweeper

    public Sweeper()

### Sweeper

    public Sweeper(long interval)

### Sweeper

    public Sweeper(java.util.Timer timer,
                   long interval)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### delete

    public static boolean delete(java.io.File file)

### accept

    public boolean accept(java.io.File file,
                          java.lang.String name)

  Specified by:
    `accept` in interface `java.io.FilenameFilter`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.